de.vc.util

## Class PrimitiveFieldHelper

- java.lang.Object
- - de.vc.util.PrimitiveFieldHelper

-     public final class PrimitiveFieldHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrimitiveFieldHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBoolean(java.lang.Object o)`
    `static byte` | `getByte(java.lang.Object o)`
    `static char` | `getChar(java.lang.Object o)`
    `static double` | `getDouble(java.lang.Object o)`
    `static float` | `getFloat(java.lang.Object o)`
    `static int` | `getInteger(java.lang.Object o)`
    `static long` | `getLong(java.lang.Object o)`
    `static short` | `getShort(java.lang.Object o)`
    `static void` | `setValue(java.lang.reflect.Field field, java.lang.Object object, java.lang.Object value)`
    `static void` | `setValue(java.lang.String field, java.lang.Object object, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimitiveFieldHelper

          public PrimitiveFieldHelper()

  - ### Method Detail

    - #### getInteger

          public static final int getInteger(java.lang.Object o)

    - #### getLong

          public static final long getLong(java.lang.Object o)

    - #### getDouble

          public static final double getDouble(java.lang.Object o)

    - #### getFloat

          public static final float getFloat(java.lang.Object o)

    - #### getByte

          public static final byte getByte(java.lang.Object o)

    - #### getShort

          public static final short getShort(java.lang.Object o)

    - #### getBoolean

          public static final boolean getBoolean(java.lang.Object o)

    - #### getChar

          public static final char getChar(java.lang.Object o)

    - #### setValue

          public static final void setValue(java.lang.String field,
                      java.lang.Object object,
                      java.lang.Object value)
                                     throws java.lang.IllegalAccessException,
                                            java.lang.NoSuchFieldException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.NoSuchFieldException`

    - #### setValue

          public static final void setValue(java.lang.reflect.Field field,
                      java.lang.Object object,
                      java.lang.Object value)
                                     throws java.lang.IllegalAccessException

      Throws:
        `java.lang.IllegalAccessException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.